import React from 'react';
import { Radio,Icon, Popconfirm,Button, AutoComplete ,Input,Select,Spin,Table, Switch, message, DatePicker, Modal,Form ,Row,Col,TimePicker} from 'antd';
import ajax from 'jquery/src/ajax/xhr.js';
import $ from 'jquery/src/ajax';
import moment from 'moment';
const Option = AutoComplete.Option;
const OptGroup = AutoComplete.OptGroup;
import './myClient.less';

const { Column, ColumnGroup } = Table;
import {socialAttribute,newFollow,lvl, customerStatus,intentionalService} from '../../../dataDic.js';
import {getcustomerStatue,getprovince,getCompanyIntention,getfllowSituation,getContactType } from '../../../tools.js';

const MyBusiness = Form.create()(React.createClass({	
    loadData(pageNo, apiUrl) {
        this.state.data = [];
        this.setState({
            loading: true,
            ispage:pageNo,
        });      
        $.ajax({
            method: "post",
            dataType: "json",
            crossDomain: false,          
            url:globalConfig.context + '/api/admin/customer/listBusiness',
            data: { 				
                pageNo: pageNo || 1,
                pageSize: this.state.pagination.pageSize,               
                businessGlossoryId: this.state.businessIdS, //业务意向  
                identifyName:this.state.identifyNameS,
                followSituation:this.state.followSituationS,
                customerStatus:this.state.customerStatusS,
			    adminName: this.state.adminNameS,
				startDate: this.state.releaseDate[0],
                endDate: this.state.releaseDate[1],                
            },
            success: function (data) {            	
                let theArr = []; 
                if (data.error.length || data.data.list=="") {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };                   
                } else {  
                    for (let i = 0; i < data.data.list.length; i++) {
                        let thisdata = data.data.list[i];                        
                        theArr.push({
                            key: i,                           
                            id: thisdata.id,                                                  
                            businessId:thisdata.businessId,
                            businessName:thisdata.businessName,
                            identifyName:thisdata.identifyName,
                            followSituation:thisdata.followSituation,
                            customerStatus:thisdata.customerStatus,
                            customerStatust:thisdata.customerStatus,
                            adminName:thisdata.adminName,
                   			createTime:thisdata.createTime,
                   			updateTime:thisdata.updateTime,
                        });
                    }; 
                    this.state.pagination.current = data.data.pageNo;
               	    this.state.pagination.total = data.data.totalCount;
                };
                if(!data.data.list.length){
					this.state.pagination.current=0;
					this.state.pagination.total=0;
				}
                this.setState({
                    dataSource: theArr,
                    pagination: this.state.pagination,
                    selectedRowKeys:[]
                });
            }.bind(this),
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },    
  
	//点击出现函数
	setModal2VisibleOk(e) {		
	    this.setState({ 
	    	modal2Visible:true	    	
	    });	

	},
	//点击消失函数
	setModal2Visiblecancel(e) {
	    this.setState({ 
	    	modal2Visible:false
	    });	   	    
	},	
	getPictureUrl(e) {
    this.setState({pictureUrl: e });
    },
   
    handleOk(e){	   
	    this.setState({
	      visible: false,
	    });
	},
	handleCancel(e){	   
	    this.setState({
	      visible: false,
	    });
	},	
    getInitialState() {
        return { 
        	dataSources:[],
        	customerName:[],
        	orgCodeUrl:[],
            companyLogoUrl:[],
        	visible: false ,
            searchMore: true,           
            releaseDate: [],            
            releaseDate: [],
            selectedRowKeys: [],
            selectedRowKey: [],
            selectedRows: [],
            loading: false,
            pagination: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.loadData(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            paginations: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.loadVisit(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
	          businessFollowList: [               
                {
                    title: '跟进时间',
                    dataIndex: 'followTime',
                    key: 'followTime',                                        
                }, {
                    title: '营销员',
                    dataIndex: 'adminName',
                    key: 'adminName',
                }, {
                    title: '意向进度',
                    dataIndex: 'followSituation',
                    key: 'followSituation', 
                    render:text=>{return getfllowSituation(text)}
                }, {
                    title: '客户状态',
                    dataIndex: 'customerStatus',
                    key: 'customerStatus',  
                    render:text=>{return getcustomerStatue(text)}
                }, 
                {
                    title: '拜访方式',
                    dataIndex: 'contactType',
                    key:'contactType',
                    render:text=>{return getContactType(text)}
                }, {
                    title: '联系人',
                    dataIndex: 'contacts',
                    key: 'contacts',                    
                }, 
                {
                    title: '联系电话',
                    dataIndex: 'contactMobile',
                    key:'contactMobile',                   
                },
                {
                    title: '操作',
                    dataIndex: 'ccc',
                    key:'ccc',  
 					render: (text, record, index) => {                    	
                        return <div>
                            <Popconfirm title="是否删除?" onConfirm={(e)=>{this.intentionDelet(record)}} okText="删除" cancelText="不删除">
							        <Button style={{marginRight:'10px',color:'#ffffff',background:'#f00',border:'none'}} onClick={(e)=>{e.stopPropagation()}}>删除</Button>
							</Popconfirm>
                        </div>
                    }
                } 
               ],
            columns: [               
                {
                    title: '业务名称',
                    dataIndex: 'businessName',
                    key: 'businessName',                                        
                }, {
                    title: '意向时间',
                    dataIndex: 'createTime',
                    key: 'createTime',
                }, {
                    title: '更新时间',
                    dataIndex: 'updateTime',
                    key: 'updateTime',
                }, {
                    title: '客户名称',
                    dataIndex: 'identifyName',
                    key: 'identifyName', 
                }, {
                    title: '营销员',
                    dataIndex: 'adminName',
                    key: 'adminName',                    
                }, 
                {
                    title: '意向进度',
                    dataIndex: 'followSituation',
                    key:'followSituation',  
                    render: text => { return getfllowSituation(text) }
                },
                 {
                    title: '客户状态',
                    dataIndex: 'customerStatus',
                    key: 'customerStatus',
                    render: text => { return getcustomerStatue(text) }
                },
                {
                    title: '操作',
                    dataIndex: 'abc',
                    key: 'abc',
                    render: (text, record, index) => {                    	
                        return <div>
                        	<Button onClick={(e) =>{ e.stopPropagation(), this.addModify(record); }} type="primary" style={{marginRight:'10px',}} disabled={record.customerStatust=='6'?true:false}>跟进</Button> 
                            <Popconfirm title="是否停止?" onConfirm={(e)=>{this.followStop(record)}} okText="停止" cancelText="不停止">
							    <Button type="primary" style={{marginRight:'10px'}} onClick={(e) =>{ e.stopPropagation()}} disabled={record.customerStatust=='6'?true:false}>停止</Button>
							</Popconfirm>
                        </div>
                    }
                } 
            ],
            dataSource: [],
            searchTime: [,]
        };
    },
    //删除跟进记录
    intentionDelet(uids){
    	 this.setState({
	       		loading:true
	        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,           
            url: globalConfig.context + "/api/admin/customer/deleteFollowOneBusiness",
            data: {
                ufbId: uids.ufbId,//删除的ID    
            }
        }).done(function (data) {
            if (!data.error.length) {
                message.success('删除成功！');
                this.setState({
                    loading: false,
                });
            } else {
                message.warning(data.error[0].message);
            };
            this.loadVisit();
            this.loadData(this.state.ispage);
        }.bind(this));
    },
    //更多操作
    ModalOperation(){
    	this.setState({
        visible: true,
      });
    },      
 
    //列表删除功能
    delectRow() {
    	let deletedIds;              
        for (let idx = 0; idx < this.state.selectedRows.length; idx++) {
            let rowItem = this.state.selectedRows[idx];                          
            if (rowItem.businessId) {
                deletedIds=rowItem.businessId;                    
            };            
        }; 
        this.setState({        	
            selectedRowKeys: [],            
        });       
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,           
            url: globalConfig.context + "/api/admin/customer/deleteBusiness",
            data: {
                businessId: deletedIds,//删除的ID    
            }
        }).done(function (data) {
            if (!data.error.length) {
                message.success('删除成功！');
                this.setState({
                    loading: false,
                });
            } else {
                message.warning(data.error[0].message);
            };
            this.loadData(this.state.ispage);
        }.bind(this));  
    },
    //停止跟进
    followStop(uids) {
	        this.setState({
	       		loading:true
	        });
	        $.ajax({
	            method: "get",
	            dataType: "json",
	            crossDomain: false,           
	            url: globalConfig.context + "/api/admin/customer/stopBusiness",
	            data: {
	                businessId: uids.businessId,//删除的ID    
	            }
	        }).done(function (data) {
	            if (!data.error.length) {
	                message.success('成功停止跟进！');
	                this.setState({
	                    loading: false,
	                });
	            } else {
	                message.warning(data.error[0].message);
	            };
	            this.loadData(this.state.ispage);
	        }.bind(this));
    },
    getOrgCodeUrl(e) {
        this.setState({ orgCodeUrl: e });
    },
    getCompanyLogoUrl(e) {
        this.setState({ companyLogoUrl: e });
    },
    componentWillMount() {                     
         //意向服务
        let intentionalArr = [];
        newFollow.map(function (item) {
            intentionalArr.push(
                <Select.Option value={item.value} key={item.key}>{item.key}</Select.Option>
            )
        });    
        this.state.intentionalOption = intentionalArr;
        this.loadData();        
    },
 	//新建	
    addClick() {
    	this.state.businessGlossoryId=undefined;
        this.state.followSituation='0';
        this.state.customerStatus='0';
        this.state.contactType=undefined;
        this.state.superior=''; 
        this.state.remarks='';
        this.state.result='';
        this.state.keys=false;
        this.state.lastName=undefined;
        this.addTime(); 
        this.setState({
            showDesc: true,   
           
        });       
    },
    
    addClickOk(){
    	this.setState({
    		businessId:'',
            showDesc: false,           
        });
    },
    addClickCancel(){
    	this.setState({
    		businessId:'',
            showDesc: false,           
        });
    },
    search() {
        this.loadData();
    },
    reset() {
    	this.state.businessIdS=undefined; //名称1   
        this.state.identifyNameS='';        
        this.state.followSituationS=undefined;
        this.state.customerStatusS=undefined;
        this.state.adminNameS='';
	    this.state.releaseDate[0]=undefined;
        this.state.releaseDate[1]=undefined;
        this.loadData(); 
    },
    searchSwitch() {
        this.setState({
            searchMore: !this.state.searchMore
        });
    },
    //详情保存函数
    detailsSubmint(){
    	this.setState({
    		modal5Visible:false,
    	})
    },
    //基本信息提交
    newSubmit(e){
    	e.preventDefault(); 
        this.setState({        	
            selectedRowKeys: [],           
        });
    	this.props.form.validateFields((err, values) => {
    		if (!err) {
            	this.setState({
                  loading: true
            	}); 	
                $.ajax({
                    method: "post",
                    dataType: "json",
                    url:globalConfig.context + '/api/admin/customer/updateBusiness',
                    data: {         	
                    	businessId:this.state.rowId, 
                    	followSituation:this.state.followSituation, 
                    	customerStatus:this.state.customerStatus, 
                    	remarks:this.state.remarks, 	
                    }
                }).done(function (data) { 
                	 this.setState({
                        loading: false
                    });
                    if (!data.error.length) {
                        message.success('保存成功！');
                        this.detailsModal() ;
                        this.loadData(this.state.ispage);
                    } else {
                        message.warning(data.error[0].message);
                    }
        			;
                }.bind(this));
			}
    	})
    },
    //查看基本详情基本信息
    loadInformation(record){
    	$.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + '/api/admin/customer/toUpdateBusiness',
            data: {
                businessId: record
            },
            success: function (data) {
                let thisData = data.data;                
                if (!thisData) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };
                    thisData = {};
                }; 
                this.setState({
                	uids:thisData.uid,
                	dataInformation:thisData,
                	followSituation:thisData.followSituation,
                	businessGlossoryId:thisData.businessGlossoryId,
                	customerStatus:thisData.customerStatus,
                	remarks:thisData.remarks,	
                });                  
            }.bind(this),
        }).always(function () {
        	this.loadVisit();
            this.setState({            	
                loading: false
            });
        }.bind(this));       
    },
   	detailsModalOk(e) {
  	  this.setState({ modal5Visible:true });//需要一个请求数据
  	  this.loadInformation(e.businessId)
    },
    //点击消失函数
	  detailsModal(e) {		
	    this.setState({ 
	    	modal5Visible:false
	    });	 	   
	  },
	//拜访保存函数
    visitSubmit(){
    	this.setState({
    		visitModul:false,
    	})
    },
	//新增联系人
	addcontactModulOK(){
		this.setState({ 
	    	addcontactModul:false
	    });
	},
	addcontactModulcancel(){
		this.setState({ 
	    	addcontactModul:false
	    });
	},
	businessFollowOk(){
		this.setState({ 
	    	businessFollowModul:false
	    });
	},
	businessFollowCancel(){
		this.setState({ 
	    	businessFollowModul:false
	    });
	},
	//点击新增详情
	newContacts(){
		if(this.state.uids||this.state.khId){
		this.state.newsex =undefined;
		this.state.newname ='';
		this.state.newmobile='';
		this.state.newwechat='';
		this.state.newqq='';
		this.state.newdepatrment='';
		this.state.newposition='';
		this.state.newemail='';
		this.setState({
			uids:this.state.uids?this.state.uids:this.state.khId,
	    	addcontactModul:true
	   });
		  }else{
		  	 message.warning('请输入客户名称')
		  }
	},
	//新增联系人保存函数
	submitcontactman(e){
		e.preventDefault();
		this.setState({
			loading:true
		})
		$.ajax({
                method: "post",
                dataType: "json",
                crossDomain: false,
                url: globalConfig.context + "/api/admin/customer/addOneContact",
                data:{
                   uid:this.state.uids,
                   name:this.state.newname,
                   mobile:this.state.newmobile,
                   email:this.state.newemail,
                   wechat:this.state.newwechat,
                   depatrment:this.state.newdepatrment,
                   position:this.state.newposition, 
                   sex:this.state.newsex,
                   qq:this.state.newqq
                },
                success: function (data) {                	  
                		if (!data.error.length) {
                			this.addcontactModulOK()
                			this.getNewWoman(this.state.uids)
			                this.setState({
			                    loading: false,
			                })
		            } else {
		                message.warning(data.error[0].message);
		            };
		        }.bind(this)
		     });
	},
	//跟进
    addModify(e) {
        this.addTime(); 
        this.HttpFollowUp(e.businessId);
        this.state.keys=true;
        this.setState({
            showDesc: true,           
        }); 
    }, 
	
	//当选择联系人的列表变化时，则执行
    hundleName(e){		    	
       let changNub=this.state.telNum[e];    
       this.setState({       		
       	  nub:this.state.telNum[e],
	      lastName: e,
	   });
	},	
	//新建保存
	addSubmit(e){
		e.preventDefault();
		if(this.state.businessGlossoryId==undefined){
		  		message.warning('请选择业务意向')
		  		return false;
		}
		if(!this.state.businessId){
			if(!this.state.theTypes){
			  		message.warning('客户名为空或不存在')
			  		return false;
			}
		}
		if(this.state.contactType==undefined){
    		message.warning('请选择联系方式')
    		return false;
    	}
    	if(this.state.lastName==undefined){
		  		message.warning('请选择联系人')
		  		return false;
		}	
		this.props.form.validateFields((err, values) => {                                 
            if (!err) {
                this.setState({
                    loading: true
                }); 
                let conts=this.state.lastName;
           		let contactsId= this.state.contactsIdArr[conts].id;
                $.ajax({
                    method: "post",
                    dataType: "json",
                    crossDomain: false,
                    url:!this.state.keys?globalConfig.context + '/api/admin/customer/addBusinessAndFollow':globalConfig.context + '/api/admin/customer/addFollowOneBusiness ',
                    data:!this.state.businessId?{
                    	uid:this.state.khId,
                        businessGlossoryId: this.state.businessGlossoryId, 
                        followSituation:this.state.followSituation,
                        customerStatus: this.state.customerStatus,
                        contactType: this.state.contactType,
                        ocbId: contactsId,
                        createTime:this.state.createYear+''+this.state.creatMent,
                        followTime:this.state.followTime,
                        remarks: this.state.remarks,
                        result: this.state.result,
                    }:{
                    	uid:this.state.uids,
                    	businessId:this.state.businessId,
                        businessGlossoryId: this.state.businessGlossoryId, 
                        followSituation:this.state.followSituation,
                        customerStatus: this.state.customerStatus,
                        contactType: this.state.contactType,
                        ocbId: contactsId,
                        followTime:this.state.followTime,
                        remarks: this.state.remarks,
                        result: this.state.result,
                    }
                }).done(function (data) { 
                    this.setState({
                        loading: false
                    });
                    if (!data.error.length) {
                        message.success('保存成功！'); 
                        this.addClickCancel();
                        this.loadData(this.state.ispage); 
                        this.state.businessId='';
                    } else {
                        message.warning(data.error[0].message);
                    }
                }.bind(this));
            }
        });
	},
	//列表保存
	addlistSubmit(e){
		e.preventDefault();
		this.props.form.validateFields((err, values) => {                                 
            if (!err) {
                this.setState({
                    loading: true
                }); 
                let conts=this.state.lastName;
           		let contactsId= conts?this.state.contactsIdArr[conts].id:'';
                $.ajax({
                    method: "post",
                    dataType: "json",
                    crossDomain: false,
                    url:globalConfig.context + '/api/admin/customer/updateFollowOneBusiness',
                    data:{
                    	ufbId:this.state.ufbIds,
                    	followId:this.state.followId,
                        customerStatus: this.state.customerStatusV, 
                        followSituation:this.state.followSituationV,
                        contactType: this.state.contactTypeV,
                        ocbId:contactsId,
                        remarks: this.state.remarksV,
                        result: this.state.resultV,
                    }
                }).done(function (data) { 
                    this.setState({
                        loading: false
                    });
                    if (!data.error.length) {
                        message.success('保存成功！'); 
                        this.businessFollowCancel();
                        this.loadVisit()
                    } else {
                        message.warning(data.error[0].message);
                    }
                }.bind(this));
            }
        });
	},
	//进入修改时
	listFollowUp(e){
			$.ajax({
             method: "get",
             dataType: "json",
             crossDomain: false,
             url: globalConfig.context + "/api/admin/customer/toUpdateFollowOneBusiness",
             data:{
            	ufbId:e.ufbId
             },
             success: function (data) {                	  
				       let thedata=data.data;
				    if (!thedata) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };	
                    thedata = {}; 
            }; 
					this.setState({
						businessGlossoryId:thedata.businessGlossoryId,
						followSituationV:thedata.followSituation,
						customerStatusV:thedata.customerStatus,
						followTime:thedata.followTime,
						createTime:thedata.createTime,
						identifyName:thedata.identifyName,
						contactTypeV:parseInt(thedata.contactType),
						resultV:thedata.result,
						remarksV:thedata.remarks,
						adminName:thedata.adminName,
						contacts:thedata.contacts,
						contactMobile:thedata.contactMobile,
						ufbId:thedata.ufbId,
						followId:thedata.followId,
                    });
				}.bind(this),
			}).always(function () {
			this.getNewWoman(this.state.uids)
            this.setState({
            	ufbIds:e.ufbId,
                loading: false
            });
       }.bind(this));   
	},
	//新建HTTP获取数据
	addTime(){
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/customer/toAddBusinessAndFollow",
            data:{
            	
            },
            success: function (data) {                	  
            		let theArr = [];
				    let thedata=data.data;
				    if (!thedata) {
	                    if (data.error && data.error.length) {
	                        message.warning(data.error[0].message);
	                    };	
	                    thedata = {}; 
	              };   	
					let creatMent=thedata.createTime.substr(10,9);
 				    let createYear=thedata.createTime.substr(0,10);
					this.setState({	
						createTime:thedata.createTime,
						creatMent:creatMent,
						createYear:createYear,
						followTime:thedata.followTime,
	                    adminName: thedata.adminName,
                    });
				}.bind(this),
			}).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));  
	},
	
	//客户名称初始加载
	customerList(e){ 
		$.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/customer/findCustomerByName",
            data:{
            	name:e
            },
            success: function (data) {                	  
				       let thedata=data.data;
				    if (!thedata) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };	
                    thedata = {}; 
              }; 
					this.setState({
						uids:thedata.id,
						customerArr:thedata,	
                    });
				}.bind(this),
			}).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));  
		},
		//值改变时请求客户名称
		httpChange(e){
			if(e.length>=2){
				this.customerList(e); 
			}	
			this.setState({
			superior:e
		})
		},
		//选择值时值匹配及联系人函数加载
		autoChange(e){
			let theType='';
			let contactLists=this.state.customerArr||[];
				if (e) {
	            contactLists.map(function (item) {
	                if (item.name == e.toString()) {
	                    theType = item.id;
	                }
	           });     
	   		}	
			this.setState({
				  khId:theType
			})
			this.getNewWoman(theType) 	 
		},
		//上级主管输入框失去焦点是判断客户是否存在
		selectAuto(value,options){
			let theType='';
			let contactLists=this.state.customerArr||[];
				if (value) {
	            contactLists.map(function (item) {
	                if (item.name == value.toString()) {
	                    theType = item.id;
	                }
	           });     
	   		}	
			this.setState({
				superior:value,
				khId:theType
			})
			this.getNewWoman(theType) ;
		},
		//客户输入框失去焦点是判断客户是否存在
		blurChange(e){
			let theType='';
			let contactLists=this.state.customerArr||[];
				if (e) {
	            contactLists.map(function (item) {
	                if (item.name == e.toString()) {
	                    theType = item.id;
	                }
	           });     
	   		}
			this.setState({
				theTypes:theType
			})
		},
		//点击跟进时数据处理
	    HttpFollowUp(e){
			$.ajax({
             method: "get",
             dataType: "json",
             crossDomain: false,
             url: globalConfig.context + "/api/admin/customer/toAddFollowOneBusiness",
             data:{
            	businessId:e
             },
             success: function (data) {                	  
				       let thedata=data.data;
				    if (!thedata) {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };	
                    thedata = {}; 
            }; 
					this.setState({
						uids:thedata.uid,
						businessId:thedata.businessId,
						businessGlossoryId:thedata.businessGlossoryId,
						followSituation:thedata.followSituation,
						customerStatus:thedata.customerStatus,
						followTime:thedata.followTime,
						createTime:thedata.createTime,
						identifyName:thedata.identifyName,
						contactType:undefined,
						result:'',
						remarks:'',
                    });
				}.bind(this),
			}).always(function () {
			this.getNewWoman(this.state.uids)
            this.setState({
                loading: false
            });
        }.bind(this));
        
        
	},
	//获取联系人下拉框
	getNewWoman(ids) {  
    	this.state.data = []
         $.ajax({
                method: "get",
                dataType: "json",
                crossDomain: false,
                url: globalConfig.context + "/api/admin/customer/findCustomerContacts",
                data:{
                   uid:ids,
                },
                success: function (data) {                	  
                		let theArr = [];
					    let thedata=data.data;
					    if (!thedata) {
		                    if (data.error && data.error.length) {
		                        message.warning(data.error[0].message);
		                    };	
		                    thedata = {}; 
		               };   
					    var telNum=[];
					    var contactIds=[];
				        thedata.map(function (item,index) {	
			            	telNum.push(thedata[index].mobile);					          
				        });	
				        for (let item in data.data) {
		                    let theData = data.data[item];
		                    theArr.push(
		                        <Select.Option value={item} key={theData.name}>{theData.name}</Select.Option>
		                    );
		                };
						this.setState({	
						    contactsIdArr:thedata,						   						  	        	    	
				        	telNum:telNum,
		                    orderStatusOption: theArr, 
	                    });
					}.bind(this),
				}).always(function () {
	            this.setState({
	                loading: false
	            });
	        }.bind(this));
	},
	//获取拜访详情ajax
	loadVisit(pageNo) {
        this.setState({
            loading: true
        });      
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,          
            url:globalConfig.context + '/api/admin/customer/listFollowHistory',
            data: {
            	pageNo: pageNo || 1,
                pageSize: this.state.paginations.pageSize,
                uid: this.state.uids, //名称1
                businessGlossoryId:this.state.businessGlossoryId,
            },
            success: function (data) {            	
                let theArr = []; 
                if (data.error.length || data.data.list=="") {
                    if (data.error && data.error.length) {
                        message.warning(data.error[0].message);
                    };                   
                } else {  
                    for (let i = 0; i < data.data.list.length; i++) {
                        let thisdata = data.data.list[i];                        
                        theArr.push({
                            followId:thisdata.followId,
                            followTime:thisdata.followTime,
                            identifyName:thisdata.identifyName, 
                            contacts:thisdata.contacts,
                            contactMobile:thisdata.contactMobile,
                            result:thisdata.result,
                            ufbId:thisdata.ufbId,
                            adminName:thisdata.adminName,
                            followSituation:thisdata.followSituation,
                            customerStatus:thisdata.customerStatus,
                            contactType:thisdata.contactType
                        });
                    };
                    this.state.paginations.current = data.data.pageNo;
                    this.state.paginations.total = data.data.totalCount;
                };               
                this.setState({
                    visitArrList: theArr,
                    paginations: this.state.paginations
                });
            }.bind(this),
        }).always(function () {
            this.setState({	
                loading: false
            });
        }.bind(this));
    },
    componentWillReceiveProps(nextProps) {
        if (!this.props.visible && nextProps.visible) {
            if (nextProps.data && nextProps.data.id) {
                this.loadData(nextProps.data.id, nextProps.detailApiUrl);
            };
            this.state.data = {};
            this.state.companyLogoUrl = [];
            this.state.orgCodeUrl = []; 
        };
    },
    tableRowClick(record, index) { 
        this.state.RowData = record; 
        this.detailsModalOk(record);
        this.setState({
        	selectedRowKeys:[],
        	rowId:record.businessId,
        })    
    },
    followRowClick(record, index) { 
        this.state.RowData = record; 
        this.listFollowUp(record);
        this.setState({
            businessFollowModul: true, 
            selectedRowKeys:[],
        });    
    },
    render() {
    	const FormItem = Form.Item
        const rowSelection = {
            selectedRowKeys: this.state.selectedRowKeys,
            onChange: (selectedRowKeys, selectedRows) => {
                this.setState({
                    selectedRows: selectedRows.slice(-1),
                    selectedRowKeys: selectedRowKeys.slice(-1)
                });
            },
            onSelect: (recordt, selected, selectedRows) => {			   
			    this.setState({
			    	recordt:recordt.id
			    })
			},
        };
        const rowSelections = { 
        	selectedRowKeys: this.state.selectedRowKey,
            onChange: (selectedRowKey, selectedRow) => {
                this.setState({
                    selectedRow: selectedRow.slice(-1),
                    selectedRowKey: selectedRowKey.slice(-1)
                });                
            },
            onSelect: (records, selected, selectedRow) => {			   
			    this.setState({
			    	selectedRow: selectedRow.slice(-1),
			    	records:records.id,			    	
			    })			  
			},
			
        };
		
        const hasSelected = this.state.selectedRowKeys.length > 0;
        const { RangePicker } = DatePicker;  	
      	const { getFieldDecorator } = this.props.form;
    	  const formItemLayout = {
            labelCol: { span: 8 },
            wrapperCol: { span: 14 },
       };
        const theInformation=this.state.dataInformation || {}
      	const contactsOption="";    	        	
        const formItemLayput = {
            labelCol: { span: 10 },
            wrapperCol: { span: 14 },
        }; 
        const businessIds=this.state.businessId||'';
        const dataSources=this.state.customerArr || [];
        const options = dataSources.map((group) =>
				      <Option key={group.id} value={group.name}>{group.name}</Option>
				     )
        return (
            <div className="user-content" >
                <div className="content-title">                  
                    <span>我的业务</span>
                </div>
                <div className="user-search">                    
                    <Input placeholder="客户名称"
                        value={this.state.identifyNameS}
                        onChange={(e) => { this.setState({ identifyNameS: e.target.value }); }} />
                    <Select placeholder="服务意向" value={this.state.businessIdS} onChange={(e) => {
								        this.setState({businessIdS:e})}} style={{width:'150px'}}>
	                      {
	                        intentionalService.map(function (item) {
	                            return <Select.Option key={item.value} >{item.key}</Select.Option>
	                        })
	                      }
                    </Select>
                    <Button type="primary" onClick={this.search}>搜索</Button>
                    <Button onClick={this.reset}>重置</Button> 
	                <Popconfirm title="是否删除?" onConfirm={this.delectRow} okText="是" cancelText="否">
					     <Button style={{ marginRight:'10px' ,marginLeft:'10px'}} type='danger'
                   			 disabled={!hasSelected} 
                    		 >删除<Icon type="minus" />
           			     </Button>
					</Popconfirm>
	                <span style={{marginLeft:'10px',marginRight:'20px'}}>更多搜索<Switch defaultChecked={false} onChange={this.searchSwitch} /></span>
                    <Button type="primary" className="addButton" onClick={this.addClick}>新增业务<Icon type="plus" /></Button> 
                    <div className='clearfix' style={{marginTop:'5px'}}>
	                  <div className="search-more" style={this.state.searchMore ? { display: 'none' } : {}}>                    			                  
			                <RangePicker
		                        value={[this.state.releaseDate[0] ? moment(this.state.releaseDate[0]) : null,
		                        this.state.releaseDate[1] ? moment(this.state.releaseDate[1]) : null]}
		                        onChange={(data, dataString) => { this.setState({ releaseDate: dataString }); }} />   
	                        <Select placeholder="客户状态"
	                            style={{ width: 150 }}
	                            value={this.state.customerStatusS}
	                            onChange={(e) => { this.setState({ customerStatusS: e }) }}>
	                            {
                                customerStatus.map(function (item) {
                                    return <Select.Option key={item.value} >{item.key}</Select.Option>
                                })
                                }
	                        </Select>
	                        <Select placeholder="业务进度"
	                            style={{ width: 150 }}
	                            value={this.state.followSituationS}
	                            onChange={(e) => { this.setState({ followSituationS: e }) }}>
	                            {this.state.intentionalOption}
	                        </Select>
	                        <Input placeholder="营销员" style={{width:'150px'}}
		                        value={this.state.adminNameS}
		                        onChange={(e) => { this.setState({ adminNameS: e.target.value }); }} />
				            </div>  
		            </div>
                </div>                                               
                <div className="patent-table">
                    <Spin spinning={this.state.loading}>
                        <Table columns={this.state.columns}
                            dataSource={this.state.dataSource}    
                            rowSelection={rowSelection}
                            pagination={this.state.pagination}
                            onRowClick={this.tableRowClick}
                           />
                    </Spin>
                </div>            
    			<Modal	
				      footer=''
			          title="我的业务"
			          width='1000px'
			          visible={this.state.showDesc}
			          onOk={this.addClickOk}
					  onCancel={this.addClickCancel}							          							          
			        >				    
					    <Form horizontal id="demand-form" onSubmit={this.addSubmit}>
			    			<Spin spinning={this.state.loading}>
			    			   	<div className="clearfix">
			    			   		{businessIds!=''?<div><FormItem className="half-item"
						                            {...formItemLayout}
						                             label="意向名称"
						                             >
					    			    <span>{getCompanyIntention(this.state.businessGlossoryId)}</span>
					    			</FormItem>
			    			    	<FormItem className="half-item"
			                           {...formItemLayout}
			                             >
					                	<Button type="primary" onClick={this.newContacts} style={{marginLeft:'160px'}}>添加新联系人</Button>
					                </FormItem>
			    			    	<FormItem className="half-item"
				                            {...formItemLayout}
				                             label="意向时间"
				                             >
			    			     		<span>{this.state.createTime}</span>
			    			    	</FormItem>
			    			    	<FormItem className="half-item"
				                            {...formItemLayout}
				                             label="客户名称"
				                             >
			    			     		<span>{this.state.identifyName}</span>
			    			    	</FormItem></div>
										:<div><FormItem className="half-item"
			                           {...formItemLayout}
			                           label="意向名称"
		                               > 
			                          <Select placeholder="服务意向名称" value={this.state.businessGlossoryId} onChange={(e) => {
											this.setState({businessGlossoryId:e})}} style={{width:'150px'}}>
					                       {
					                        intentionalService.map(function (item) {
					                            return <Select.Option key={item.value} >{item.key}</Select.Option>
					                        })
					                      }
						               </Select>
			    			           <span style={{color:'red'}}> *</span>
	                   		            </FormItem>
				    			   	    <FormItem className="half-item"
				                           {...formItemLayout}
				                             >
						                	<Button type="primary" onClick={this.newContacts} style={{marginLeft:'160px'}}>添加新联系人</Button>
						                </FormItem>
						                <div className="clearfix">
					    			   		<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="意向时间" >	
					                               <DatePicker placeholder="更新日期" value={moment(this.state.createYear,'YYYY-MM-DD')} onChange={(time) => {this.setState({createYear: time});}}/>					                               			                               		                           
							                       <TimePicker placeholder="更新时间" value={moment(this.state.creatMent, 'HH:mm:ss')} onChange={(time) => { this.setState({creatMent: time}); }}/>	
				            				</FormItem> 
			    			   		        <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="客户名称"
				                             >
						                    <AutoComplete
											        className="certain-category-search"
											        dropdownClassName="certain-category-search-dropdown"
											        dropdownMatchSelectWidth={false}
											        dropdownStyle={{ width: 300 }}
											        size="large"
											        style={{ width: '200px' }}
											        dataSource={options}
											        placeholder="输入名称"
											        value={this.state.superior}
											        onChange={this.httpChange}
											        filterOption={true}
											        onBlur={this.blurChange}
											        onSelect={this.selectAuto}
											        filterOption={true}
											       
											      >
											        <Input/>
											      </AutoComplete> 
											      <span className="mandatory">*</span>      
							                </FormItem>
			    			    	    </div>
						            </div>

										}	
			    			     	<FormItem className="half-item"
				                            {...formItemLayout}
				                             label="营销员"
				                             >
			    			     		<span>{this.state.adminName}</span>
			    			    	</FormItem>
			    			   		<FormItem className="half-item" 
			                           {...formItemLayout}
			                           label="意向进度"
		                               > 
									             <Select  placeholder="意向进度" value={this.state.followSituation}
	                           				 onChange={(e) => { this.setState({ followSituation: e }) }}>
		                                    {
		                                        newFollow.map(function (item) {
		                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
		                                        })
		                                    }
                                       </Select>  
		                   		    </FormItem>
					    			<FormItem className="half-item" 
			                           {...formItemLayout}
			                           label="客户状态"
	                                   > 
									    <Select placeholder="客户状态" value={this.state.customerStatus}
	                       				 	onChange={(e) => { this.setState({ customerStatus: e }) }}>
	                                        {
	                                        customerStatus.map(function (item) {
	                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
	                                        })
	                                        }
                                        </Select>                                   
		                   		    </FormItem>
		                   		    <div className="clearfix">
			                   		    <FormItem
					                        labelCol={{ span: 4 }}
					                        wrapperCol={{ span: 16 }}
					                        label="意向说明" >					                        
					                        <Input type="textarea" rows={4} placeholder="意向说明" value={this.state.remarks}
	                           				 	onChange={(e) => { this.setState({ remarks: e.target.value }) }}/>					                           
					                    </FormItem>
					                </div>    
		                   		    <div style={{fontSize:'18px',marginLeft:'30px'}}>拜访情况</div>
	                   		    	<div className="clearfix">
				    			   		<FormItem className="half-item"
				                            labelCol={{ span: 8 }}
					                        wrapperCol={{ span: 16 }}
				                            label="拜访方式" >
				    			   			<Radio.Group value={this.state.contactType} onChange={(e) => {
											        this.setState({ contactType: e.target.value }) 
							                    }}>
							                        <Radio value={0}>外出</Radio>
							                        <Radio value={1}>电话</Radio>
							                        <Radio value={2}>QQ</Radio>
							                        <Radio value={3}>微信</Radio>
							                        <Radio value={4}>邮箱</Radio>
							                  </Radio.Group>
						                </FormItem> 
					                </div>
					                
					                <FormItem className="half-item" 
			                           {...formItemLayout}
			                           label="联系人"
		                               > 
				                        <Select placeholder="联系人姓名"  style={{ width: 140 }}
						                        value={this.state.lastName}
						                        onChange={this.hundleName}>
						                        {this.state.orderStatusOption}
				                    	</Select>
		                   		    </FormItem>
		                   		    
					                <FormItem className="half-item"
			                            {...formItemLayout}
			                             label="联系电话"
			                            >
					                	<span>{this.state.nub}</span>
					                </FormItem>
					                <div className="clearfix">
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="拜访人"
				                            >
						                	<span>{this.state.adminName}</span>
						                </FormItem>
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                            label="拜访时间" >			                                
				                              <span>{this.state.followTime}</span>
		            					</FormItem>
	            					</div>
					               
					                <div className="clearfix">
					                	<FormItem
					                        labelCol={{ span: 4 }}
							                wrapperCol={{ span: 16 }}
					                        label="拜访备注" >
					                        <Input type="textarea" rows={4} value={this.state.result}  placeholder="来电备注" 
						                          onChange={(e) => { this.setState({ result: e.target.value }); }}/>   
					                    </FormItem>
					                </div>   
			    			   	</div>
							    <Button  type="primary" size="large" htmlType="submit" style={{margin:'15px  15px 20px 160px'}}>保存</Button>
					           	<Button  size="large" onClick={this.addClickCancel}>取消</Button>
					   		</Spin>
					    </Form>
    			</Modal> 
    			<Modal	
				      className="customeDetails"				      
			          title="我的业务意向详情"
			          width='1000px'
			          visible={this.state.modal5Visible}
			          onOk={this.detailsModal}
			          onCancel={this.detailsModal}
			          footer=''
			        >				    
			        <Form horizontal onSubmit={this.newSubmit} id="demand-form">
		                <Spin spinning={this.state.loading}>
			               	<div className="clearfix">
		                    	<FormItem className="half-item"
				                   {...formItemLayout}
				                    label="意向名称"
			                        >
			                        <span>{getCompanyIntention(theInformation.businessGlossoryId)}</span>
			                    </FormItem>
			                    <FormItem className="half-item"
				                    {...formItemLayout}
				                    label="意向时间"
			                        >
			                        <span>{theInformation.createTime}</span>
			                    </FormItem>
			                    <FormItem className="half-item"
				                    {...formItemLayout}
				                    label="客户名称"
			                        >
			                        <span>{theInformation.identifyName}</span>
			                    </FormItem>
			                    <FormItem className="half-item"
				                   {...formItemLayout}
				                    label="营销员"
			                        >
			                        <span>{theInformation.adminName}</span>
			                    </FormItem>
								<FormItem className="half-item" 
		                           {...formItemLayout}
		                           label="意向进度"
	                               > 
								               <Select  placeholder="意向进度" value={this.state.followSituation}
                           				 onChange={(e) => { this.setState({ followSituation: e }) }}>
	                                    {
	                                        newFollow.map(function (item) {
	                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
	                                        })
	                                    }
                                </Select>  
	                   		    </FormItem>
				    			<FormItem className="half-item" 
			                           {...formItemLayout}
			                           label="客户状态"
		                               > 
									 <Select placeholder="客户状态" value={this.state.customerStatus} disabled={this.state.customerStatus=='6'?true:false}
                           			onChange={(e) => { this.setState({ customerStatus: e }) }}>
	                                {
	                                   customerStatus.map(function (item) {
	                                        return <Select.Option key={item.value} >{item.key}</Select.Option>
	                                    })
	                                }
                                  </Select>                                   
                   		        </FormItem>
	                   		    <div className="clearfix">
		                   		    <FormItem
				                        labelCol={{ span: 4 }}
				                        wrapperCol={{ span: 16 }}
				                        label="意向说明" >					                        
				                        <Input type="textarea" rows={4} placeholder="意向说明" value={this.state.remarks}
                           				 	onChange={(e) => { this.setState({ remarks: e.target.value }) }}/>					                           
				                    </FormItem>
				                </div>
			                    <Button className="set-submit" type="primary" htmlType="submit" style={{marginLeft:'160px',marginBottom:'30px'}}>保存</Button>  
		                        <Button className="set-submit" type="ghost" onClick={this.detailsModal}>取消</Button>
		                  </div>	
		                  <div className="clearfix">
		                  		<div style={{fontSize:'18px',marginLeft:'40px',marginBottom:'20px'}}>业务跟进</div>
	                        	<div className="clearfix" style={{paddingLeft:'40px',paddingRight:'40px'}}>
	                			    <Spin spinning={this.state.loading}>
								      <Table 
						            	 pagination={this.state.paginations}
						            	 columns={this.state.businessFollowList} 
						            	 dataSource={this.state.visitArrList}
						            	 onRowClick={this.followRowClick}
						            	 />
								    </Spin> 
								</div>	
		                  </div>
					    </Spin>
					</Form>		
				</Modal>
			    <Modal
				      footer=''
				      width='800px'
			          title="新增联系人"
			          visible={this.state.addcontactModul}
			          onOk={this.addcontactModulOK}
			          onCancel={this.addcontactModulcancel}						          							          
						        >
				        <Form horizontal onSubmit={this.submitcontactman} id="demand-form">
					      <Spin spinning={this.state.loading}> 											             
					        <Row>	
			                    <FormItem 
			                        labelCol={{ span: 3 }}
			                        wrapperCol={{ span: 14 }}
			                        label="性别："  style={{marginRight:'10px',marginTop: '-15px'}}>
			                        <Radio.Group value={this.state.newsex} onChange={(e) => {
					                    this.setState({ newsex: e.target.value }) 
					                    }}>
					                        <Radio value='男'>男</Radio>
					                        <Radio value='女'>女</Radio>
				                    </Radio.Group>
			                    </FormItem>	
							</Row>								               
					        <Row style={{ paddingLeft:'50px' }}>
		                        <Col span={2}><span style={{color:'red'}}>*</span>姓名：</Col>
                                <Col span={8}>
                                    <Input value={this.state.newname} required="required"
                                        onChange={(e) => { this.setState({ newname: e.target.value }) }} />
                                </Col>
                                <Col span={2} style={{ marginLeft: '50px' }}><span style={{color:'red'}}>*</span>手机：</Col>
                                <Col span={8}>
                                    <Input value={this.state.newmobile} required="required"
                                        onChange={(e) => { this.setState({ newmobile: e.target.value }) }} />
                                </Col>
                                
                            </Row>
		                    <Row style={{ marginTop: '20px',paddingLeft:'50px' }}>
                                <Col span={2}>微信：</Col>
                                	<Col span={8}>
                                    <Input value={this.state.newwechat}
                                        onChange={(e) => { this.setState({ newwechat: e.target.value }) }} />
                                </Col>
                                <Col span={2} style={{ marginLeft: '50px' }}>Q Q：</Col>
                                <Col span={8}>
                                    <Input value={this.state.newqq}
                                        onChange={(e) => { this.setState({ newqq: e.target.value }) }} />
                                </Col>
                            </Row>
                            <Row style={{ marginTop: '20px' ,paddingLeft:'50px'}}>
                        		<Col span={2}>部门：</Col>
                        		<Col span={8}>
                           		 	<Input value={this.state.newdepatrment}
                               		 onChange={(e) => { this.setState({ newdepatrment: e.target.value }) }} />
                                </Col>
                                <Col span={2} style={{ marginLeft: '50px' }}>职位：</Col>
                                <Col span={8}>
                                    <Input value={this.state.newposition}
                                        onChange={(e) => { this.setState({ newposition: e.target.value }) }} />
                                </Col>
                            </Row>	
                            <Row style={{ marginTop: '20px',paddingLeft:'50px' }}>						                       
                                <Col span={2}>邮箱：</Col>
                                <Col span={8}>
                                    <Input value={this.state.newemail}
                                        onChange={(e) => { this.setState({ newemail: e.target.value }) }} />
                                </Col>
                            </Row>
                            <Row style={{ marginTop: '20px',paddingLeft:'50px' ,marginBottom:'50px'}}>
                          <Button className="set-submit" type="primary" htmlType="submit"  id="change_keep" style={{marginLeft:'60px'}}>保存</Button>
			              <Button className="set-submit" type="ghost" onClick={this.addcontactModulcancel} id='change_rem'>取消</Button>
			            	</Row>
			            </Spin>
			        </Form>   
			    </Modal>
    			<Modal	
				      footer=''
			          title="业务跟进详情"
			          width='1000px'
			          visible={this.state.businessFollowModul}
			          onOk={this.businessFollowOk}
					  onCancel={this.businessFollowCancel}							          							          
			        >				    
					    <div className="clearfix">
			    			<Form horizontal id="demand-form" onSubmit={this.addlistSubmit}>
			    			<Spin spinning={this.state.loading}>
			    			   	<div className="clearfix">
			    			   		<FormItem className="half-item"
						                            {...formItemLayout}
						                             label="意向名称"
						                             >
					    			    <span>{getCompanyIntention(this.state.businessGlossoryId)}</span>
					    			</FormItem>
			    			    	<FormItem className="half-item"
			                           {...formItemLayout}
			                             >
					                	<Button type="primary" onClick={this.newContacts} style={{marginLeft:'160px'}}>添加新联系人</Button>
					                </FormItem>
			    			    	<FormItem className="half-item"
				                            {...formItemLayout}
				                             label="意向时间"
				                             >
			    			     		<span>{this.state.createTime}</span>
			    			    	</FormItem>
			    			    	<FormItem className="half-item"
				                            {...formItemLayout}
				                             label="客户名称"
				                             >
			    			     		<span>{this.state.identifyName}</span>
			    			    	</FormItem>
			    			     	<FormItem className="half-item"
				                            {...formItemLayout}
				                             label="营销员"
				                             >
			    			     		<span>{this.state.adminName}</span>
			    			    	</FormItem>
			    			   		<FormItem className="half-item" 
			                           {...formItemLayout}
			                           label="意向进度"
		                               > 
									             <Select  placeholder="意向进度" value={this.state.followSituationV}
	                           				 onChange={(e) => { this.setState({ followSituationV: e }) }}>
		                                    {
		                                        newFollow.map(function (item) {
		                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
		                                        })
		                                    }
                                       </Select>  
		                   		    </FormItem>
					    			<FormItem className="half-item" 
			                           {...formItemLayout}
			                           label="客户状态"
	                                   > 
									    <Select placeholder="客户状态" value={this.state.customerStatusV}
	                       				 	onChange={(e) => { this.setState({ customerStatusV: e }) }}>
	                                        {
	                                        customerStatus.map(function (item) {
	                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
	                                        })
	                                        }
                                        </Select>                                   
		                   		    </FormItem>
		                   		    <div className="clearfix">
			                   		    <FormItem
					                        labelCol={{ span: 4 }}
					                        wrapperCol={{ span: 16 }}
					                        label="意向说明" >					                        
					                        <Input type="textarea" rows={4} placeholder="意向说明" value={this.state.remarksV}
	                           				 	onChange={(e) => { this.setState({ remarksV: e.target.value }) }}/>					                           
					                    </FormItem>
					                </div>    
		                   		    <div style={{fontSize:'18px',marginLeft:'30px'}}>拜访情况</div>
	                   		    	<div className="clearfix">
				    			   		<FormItem className="half-item"
				                            labelCol={{ span: 8 }}
					                        wrapperCol={{ span: 16 }}
				                            label="拜访方式" >
				    			   			<Radio.Group value={this.state.contactTypeV} onChange={(e) => {
											        this.setState({ contactTypeV: e.target.value }) 
							                    }}>
							                        <Radio value={0}>外出</Radio>
							                        <Radio value={1}>电话</Radio>
							                        <Radio value={2}>QQ</Radio>
							                        <Radio value={3}>微信</Radio>
							                        <Radio value={4}>邮箱</Radio>
							                  </Radio.Group>
						                </FormItem> 
					                </div>
					                
					                <FormItem className="half-item" 
			                           {...formItemLayout}
			                           label="联系人"
		                               > 
				                        <Select placeholder="联系人姓名"  style={{ width: 140 }}
						                        value={this.state.lastName}
						                        onChange={this.hundleName}>
						                        {this.state.orderStatusOption}
				                    	</Select>
		                   		    </FormItem>
		                   		    <FormItem className="half-item" 
			                           {...formItemLayout}
			                           label="当前联系人"
		                               > 
				                        <span>{this.state.contacts}</span>
		                   		    </FormItem>
					                <FormItem className="half-item"
			                            {...formItemLayout}
			                             label="联系电话"
			                            >
					                	<span>{this.state.nub}</span>
					                </FormItem>
					                <div className="clearfix">
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="拜访人"
				                            >
						                	<span>{this.state.adminName}</span>
						                </FormItem>
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                            label="拜访时间" >			                                
				                              <span>{this.state.followTime}</span>
		            					</FormItem>
	            					</div>
					               
					                <div className="clearfix">
					                	<FormItem
					                        labelCol={{ span: 4 }}
							                wrapperCol={{ span: 16 }}
					                        label="拜访备注" >
					                        <Input type="textarea" rows={4} value={this.state.resultV}  placeholder="来电备注" 
						                          onChange={(e) => { this.setState({ resultV: e.target.value }); }}/>   
					                    </FormItem>
					                </div>   
			    			   	</div>
							    <Button  type="primary" size="large" htmlType="submit" style={{margin:'15px  15px 20px 160px'}}>保存</Button>
					           	<Button  size="large" onClick={this.businessFollowCancel}>取消</Button>
					   		</Spin>
					    </Form> 
						</div>	                    
    			</Modal>
          </div >
        );
    }
}));
export default MyBusiness;